from django import forms 
from django.utils.translation import ugettext as _

from models import Event


class EventForm(forms.ModelForm):
    """Form for adding/editing events.
    """

    def clean(self):
        """Checks if event ends after it starts.
        """
        # TODO: Add doctests.

        try:
            end_date = self.cleaned_data['end_date']
        except KeyError:
            pass
        else:
            start_date = self.cleaned_data['start_date']
            if end_date < start_date:
                raise forms.ValidationError(
                        _('End date must be after start date.'))

        return self.cleaned_data
    
    class Meta(object):
        model = Event
        exclude = ['entry']
